//引入安装的signalr包
import * as signalR from '../signalr'
// import baseUrl from 'http://localhost:8000'
let baseUrl = 'http://localhost:8000';

var userId = null;
const location = window.location;
if (location.search) {
	const tabStatus = location.search
		.split("&")[0]
		.split("=")[1]
		.split("_");
	userId = location.search.split("&")[1].split("=")[1];
}
const connection = new signalR.HubConnectionBuilder()
	//服务器地址
	.withUrl(`${baseUrl}/hub/TranslateRocketHub?userId=${userId}`, {})
	.build()

//  自动重连
async function start() {
	try {
		await connection.start()
		console.log('connected')
	} catch (err) {
		console.log(err)
		setTimeout(() => start(), 5000)
	}
}

connection.onclose(async () => {
	await start()
})
connection.on("rocketWord", function(param) {
	console.log(param)
});
//接收服务器端消息ReceiveMessage的处理程序
connection.on("ReceiveMessage", function(param) {
	console.log(param)
	// 　　if (param.user)
	// 　　　　$('#content').append(param.user + ":");
	// 　　if (param.message)
	// 　　　　$('#content').append(param.message + ":");
});

//发送消息至服务器端SendMessage方法
// connection.invoke("SendMessage", { user, message }).catch(function (err) {
// 　　return console.error(err.toString());
// });

//将创建的signal赋值给Vue实例
export default {
	//  install方法的第一个参数是 Vue 构造器，第二个参数是一个可选的选项对象。
	install: function(Vue) {
		Vue.prototype.signalr = connection
	}
}
